Package writer2latex.latex

# Class CaptionConverter

java.lang.Object
writer2latex.latex.CaptionConverter

public class CaptionConverter extends Object

This class converts captions (for figures and tables) to LaTeX.

Packages:

- caption.sty is used implement non-floating captions

Options:

- use_caption is a boolean option to determine whether or not to use caption.sty. If this option is set to false, a simple definition of \captionof (borrowed from capt-of.sty) is inserted in the preamble

TODO: Implement formatting of captions using the features of caption.sty (only if formatting>=CONVERT_BASIC)

## Constructor Summary

Constructors
Constructor
Description
`CaptionConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`handleCaptionBody(Element node, LaTeXDocumentPortion ldp, Context oc, boolean bIsCaptionOf)`
Process content of a text:p tag as a caption body (inluding label)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CaptionConverter

public CaptionConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

### handleCaptionBody

public void handleCaptionBody(Element node, LaTeXDocumentPortion ldp, Context oc, boolean bIsCaptionOf)

Process content of a text:p tag as a caption body (inluding label)

Parameters:
  `node` - The text:p element node containing the caption
  `ldp` - The `LaTeXDocumentPortion` to add LaTeX code to
  `oc` - The current context
  `bIsCaptionOf` - true if this is caption uses captionof